/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import './styles/bill-preface.less';
@import './styles/bill-preamble.less';
@import './styles/bill-body.less';

.lea .plugin-editor {
  &.vorblatt-stammgesetz,
  &.vorblatt-mantelgesetz,
  &.vorblatt-stammverordnung,
  &.vorblatt-mantelverordnung {
    @import './styles/vorblatt.less';
  }

  &.begruendung-stammgesetz,
  &.begruendung-mantelgesetz,
  &.begruendung-stammverordnung,
  &.begruendung-mantelverordnung {
    @import './styles/begruendung.less';
  }

  &.anschreiben-stammgesetz,
  &.anschreiben-mantelgesetz,
  &.anschreiben-stammverordnung,
  &.anschreiben-mantelverordnung {
    @import './styles/anschreiben.less';
  }

  &.regelungstext-mantelgesetz,
  &.regelungstext-mantelverordnung {
    @import './styles/aenderungsbefehle.less';
  }

  &.anlage {
    @import './styles/anlage.less';
  }

  &.synopsis-view,
  &.dyn-aenderungsvergleich-active {
    @import './styles/change-comparison.less';
  }

  scroll-behavior: auto;

  .contentEditable:not(:focus) {
    .lea\:textWrapper:only-child {
      span[data-slate-length='0']::before {
        content: '–Platzhalter: Text einfügen–';
        font-style: italic;
        color: #5f5f5f;
        pointer-events: none;
      }
    }
  }

  .akn\:td[data-colspan='1'] {
    .contentEditable:not(:focus) {
      .lea\:textWrapper:only-child {
        span[data-slate-length='0']::before {
          content: '–Platzhalter...';
          font-style: italic;
          color: #5f5f5f;
          pointer-events: none;
        }
      }
    }
  }

  .akn\:th[data-colspan='1'] {
    .contentEditable:not(:focus) {
      .lea\:textWrapper:only-child {
        span[data-slate-length='0']::before {
          content: '–Platzhalter...';
          font-style: italic;
          color: #5f5f5f;
          pointer-events: none;
        }
      }
    }
  }
  & .akn\:tblock {
    outline: none;
  }

  .contentEditable:not(.akn\:tblock) {
    background-color: rgba(#e5eafb, 1.1);
    border-bottom: 1px solid #808080;
    outline: none;
    &.fromEgfa {
      background-color: rgba(#efe5fa, 1.15);
      border-bottom: 1px solid #9254de;
      &:hover {
        background-color: rgba(#faf6fd, 1.05);
        border-bottom: 1px solid #9254de;
      }
      &:focus {
        border-bottom: 2px solid #9254de;
        background-color: rgba(#faf6fd, 1.05);
      }
    }
    &:hover {
      background-color: rgba(#e5eafb, 1.05);
      border-bottom: 1px solid #0032d9;
    }
    &:focus {
      border-bottom: 2px solid #0032d9;
      margin-bottom: -1px;
    }
  }

  span[data-slate-zero-width='n'] {
    display: inline-block;
  }

  .akn\:meta {
    display: none;
  }

  & .akn\:marker {
    display: none !important;
  }

  & .akn\:sup {
    color: red;
    text-decoration: none;
    & > .lea\:textWrapper {
      vertical-align: super;
      font-size: 60%;
      line-height: 0;
      display: inline;
    }
  }

  .akn\:bill {
    @import './styles/regelungstext.less';
  }

  .akn\:preamble {
    .akn\:formula {
      &:extend(.Eingangsformel-Standard-Stammdokument);
      padding-top: 80px;
      .akn\:p > * {
        display: inline;
      }
    }

    .akn\:recitals {
      font-size: 1.8rem;
      line-height: 2.6rem;
      .akn\:heading {
        &:extend(.Titel-Praeambel);
        > * {
          display: inline;
        }
      }
      .akn\:p > * {
        display: inline;
      }
      .akn\:authorialNote {
        vertical-align: super;
        top: 0.5rem;
        font-size: 60%;
        user-select: none;
        line-height: 0;
        cursor: pointer;
        text-decoration: none;
      }
    }

    .akn\:heading {
      &:extend(.Inhaltsuebersicht);
      padding-top: 56px;
      padding-bottom: 48px;
    }

    .akn\:toc .akn\:tocItem {
      &:extend(.ParagraphUeberschrift);
    }
  }

  .akn\:ref > * {
    display: inline;
  }

  .akn\:body {
    .akn\:p > *:not(.akn\:mod),
    .akn\:num > *,
    .akn\:mod > *,
    .akn\:date > * {
      display: inline;
    }
    .akn\:authorialNote {
      vertical-align: super;
      top: 0.5rem;
      font-size: 60%;
      user-select: none;
      line-height: 0;
      cursor: pointer;
      text-decoration: none;
    }
    .akn\:book {
      padding-top: 80px;
      & > .akn\:num {
        &:extend(.Buch-Bezeichner);
      }
      & > .akn\:heading {
        &:extend(.Buch-Ueberschrift);
        & > * {
          display: inline;
        }
      }
    }
    .akn\:part {
      padding-top: 80px;
      & > .akn\:num {
        &:extend(.Teil-Bezeichner);
      }
      & > .akn\:heading {
        &:extend(.Teil-Ueberschrift);
        & > * {
          display: inline;
        }
      }
    }
    .akn\:chapter {
      padding-top: 80px;
      & > .akn\:num {
        &:extend(.Kapitel-Bezeichner);
      }
      & > .akn\:heading {
        &:extend(.Kapitel-Ueberschrift);
        & > * {
          display: inline;
        }
      }
    }

    .akn\:subchapter {
      padding-top: 80px;
      & > .akn\:num {
        &:extend(.Unterkapitel-Bezeichner);
      }
      & > .akn\:heading {
        &:extend(.Unterkapitel-Ueberschrift);
        & > * {
          display: inline;
        }
      }
    }

    .akn\:section {
      padding-top: 80px;
      & > .akn\:num {
        &:extend(.Abschnitt-Bezeichner);
      }
      & > .akn\:heading {
        &:extend(.Abschnitt-Ueberschrift);
        & > * {
          display: inline;
        }
      }
    }

    .akn\:subsection {
      padding-top: 80px;
      & > .akn\:num {
        &:extend(.Unterabschnitt-Bezeichner);
      }
      & > .akn\:heading {
        &:extend(.Unterabschnitt-Ueberschrift);
        & > * {
          display: inline;
        }
      }
    }

    .akn\:title {
      padding-top: 80px;
      & > .akn\:num {
        &:extend(.Titel-Bezeichner);
      }
      & > .akn\:heading {
        &:extend(.Titel-Ueberschrift);
        & > * {
          display: inline;
        }
      }
    }

    .akn\:subtitle {
      padding-top: 80px;
      & > .akn\:num {
        &:extend(.Untertitel-Bezeichner);
      }
      & > .akn\:heading {
        &:extend(.Untertitel-Ueberschrift);
        & > * {
          display: inline;
        }
      }
    }

    .akn\:article {
      padding-top: 48px;
      & > .akn\:num {
        &:extend(.Paragraph-Bezeichner);
      }
      & > .akn\:heading {
        &:extend(.Paragraph-Ueberschrift);
        & > * {
          display: inline;
        }
      }
    }

    .akn\:paragraph {
      padding-top: 24px;
      & > .akn\:num {
        &:extend(.Juristischer-Absatz-Nummerierung);
      }
      & > .akn\:heading {
        &:extend(.Juristischer-Absatz-Inhalt);
        & > * {
          display: inline;
        }
      }

      & > .akn\:list {
        & > .akn\:wrapUp {
          padding-left: 10px;
        }

        & > .akn\:point {
          padding-left: 10px;
        }

        & > div:nth-child(2) {
          padding-top: 1.6rem;
        }
        & > div:last-child {
          padding-bottom: 1.6rem;
        }
      }
    }

    .akn\:list {
      font-size: 1.8rem;
      line-height: 2.6rem;
      & .akn\:point {
        padding-left: 38px;
        & .akn\:content {
          & .akn\:p {
            &:not(:has(.akn\:mod)) {
              padding-left: 38px;
            }
            & .akn\:mod {
              padding-left: 38px;
            }
          }
        }

        & .akn\:list {
          & .akn\:intro {
            & .akn\:p {
              padding-left: 38px;
            }
          }
          & .akn\:point {
            & .akn\:list {
              & .akn\:intro {
                & .akn\:p {
                  padding-left: 38px;
                }
              }
              & .akn\:point {
                & .akn\:content {
                  & .akn\:p {
                    &:not(:has(.akn\:mod)) {
                      padding-left: 48px;
                    }
                    & .akn\:mod {
                      padding-left: 48px;
                    }
                  }
                }
                & .akn\:list {
                  & .akn\:intro {
                    & .akn\:p {
                      padding-left: 48px;
                    }
                  }
                  & .akn\:point {
                    padding-left: 50px;
                    & .akn\:content {
                      & .akn\:p {
                        &:not(:has(.akn\:mod)) {
                          padding-left: 68px;
                        }
                        & .akn\:mod {
                          padding-left: 68px;
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }

        & > .akn\:num {
          padding-right: 16px;
          float: left;
        }
      }
    }

    .akn\:content {
      font-size: 1.8rem;
      line-height: 2.6rem;
    }
  }

  & .single-comment-wrapper,
  .multiple-comment-wrapper {
    text-align: end;
    position: absolute;
    right: 15px;
    & svg:hover {
      background-color: #000;
      & path,
      circle {
        fill: #fff;
      }
    }
  }

  .akn\:table {
    border-collapse: collapse;
    margin-top: 16px;
    width: 100%;
    &.selected {
      border: 2px solid #0d39d0;
    }

    .akn\:td {
      vertical-align: top;
      border: 1px solid #000;
      padding: 4px;
      min-width: 40px;
    }

    .akn\:th {
      vertical-align: top;
      font-weight: bold;
      padding: 4px;
      background-color: #ededed;
      color: #000;
      border: 1px solid #000;
    }

    .akn\:td.selected,
    .akn\:th.selected {
      background-color: #e5eafb;
      border: 2px solid #0d39d0;
    }

    .akn\:caption {
      display: inline;
      font-weight: bold;
      & > * {
        display: inline;
      }
    }
  }
}
